Bug 12973 - /dev/hda1 has wrong major or minor number
/dev/hda1 has wrong major or minor number
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
: 13050 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-06-23 21:04 EDT by Chris Runge
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-29 09:32:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2000-06-23 21:04:20 EDT
not sure where the culprit is here but mount reports it....

I had installed 6.2 on a system where Win98 is on /dev/hda1. After
upgrading to beta 2 and rebooting, I get the error from mount: /dev/hda1
has wrong major or minor number

ls -l /dev/hda1
brw-rw----    1 root     disk       3,    1 Jun 19 10:32 /dev/hda1
Comment 1 Bernhard Rosenkraenzer 2000-06-26 13:27:42 EDT
*** Bug 13050 has been marked as a duplicate of this bug. ***
Comment 2 Bernhard Rosenkraenzer 2000-06-26 13:34:08 EDT
This looks like a bug in the vfat kernel code - Major 3, Minor 1 is definitely
the right major/minor number for hda1, and I can't reproduce this bug without a
vfat partition; reassigning.
Comment 3 Henri Schlereth 2000-06-30 23:13:46 EDT
On my dual boot machine I saw the saw same thing but I also had a "ghost 
message" where it was trying to do depmod on /lib/modules/2.2.14-20 which was
removed and replaced by 2.2.16. I ran a manual depmod -a and did a
mount -a and the vfat partitions came up just fine w/o error messages.
Comment 4 Chris Runge 2000-08-29 09:32:38 EDT
I'm not experiencing this problem anymore with RC2

Note You need to log in before you can comment on or make changes to this bug.